import os

from gi.repository import WebKit
from gi.repository import Gtk
from gi.repository import Gdk

from sugar3.graphics import style
from sugar3.graphics.icon import Icon
from sugar3.graphics.icon import EventIcon
from sugar3.graphics.palette import Palette

from snowflakelayout import SnowflakeLayout

def _destroy_cb(widget, data=None):
    Gtk.main_quit()

window = Gtk.Window()
window.set_default_size(800, 640)
window.connect("destroy", _destroy_cb)

settings = Gtk.Settings.get_default()
sugar_theme = 'sugar-72'
if 'SUGAR_SCALING' in os.environ:
    if os.environ['SUGAR_SCALING'] == '100':
        sugar_theme = 'sugar-100'
settings.set_property('gtk-theme-name', sugar_theme)
settings.set_property('gtk-icon-theme-name', 'sugar')


layout = SnowflakeLayout()
window.add(layout)
layout.show()

icon = EventIcon(icon_name='activity-journal')
layout.add_icon(icon, center=True)
icon.show()

for i_ in range(5):
    icon = EventIcon(icon_name='computer-xo')
    layout.add_icon(icon)
    icon.show()

window.show()
Gtk.main()
